Bug 704244 - Add info about BIOS boot partition on non-EFI x86
Add info about BIOS boot partition on non-EFI x86
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Bokoc
Ruediger Landmann
AcceptedNTH RejectedBlocker
Depends On:
Blocks: F16-accepted/F16FinalFreezeExcept
  Show dependency treegraph
Reported: 2011-05-12 10:30 EDT by David Lehman
Modified: 2013-07-31 10:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 10:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lehman 2011-05-12 10:30:54 EDT
Description of problem:
More of an RFE than a problem.

Starting in Fedora 16, on non-EFI x86 (32 and 64 bit) systems, anaconda will default to creating GPT disklabels (partition tables) instead of MSDOS disklabels. The main reason this requires a documentation update is because of a new partition type necessitated by the change. On these systems, when booting from a GPT-labelled disk, it is strongly recommended (not necessarily required in all cases, depending on the system's BIOS/firmware) to create a small (1MiB) BIOS boot partition. This partition will be used by the bootloader (GRUB2) for storage.

Automatic partitioning will create the partition when appropriate, but users who choose custom partitioning will have to create this partition for themselves.

This BIOS boot partition is only necessary on non-EFI x86 systems whose boot device is a GPT-labelled disk.
Comment 1 David Lehman 2011-09-15 10:40:52 EDT
The longer it takes to get this into some documentation, the more confused users we are going to have and the more spurious bug reports. Is there any plan or timeline for this work?
Comment 2 Adam Williamson 2011-09-15 13:41:47 EDT
"This BIOS boot partition is only necessary on non-EFI x86 systems whose boot
device is a GPT-labelled disk"

and also, as a point of record, only necessary with certain bootloaders, AIUI - it depends how much space the bootloader needs.
Comment 3 Adam Williamson 2011-09-30 15:07:58 EDT
Discussed at 2011-09-30 blocker review meeting. Documentation issues do not hit the criteria and no-one was particular keen to make that the case, and the installer now saves you from shooting yourself in the foot in most cases, so we rejected this as a blocker, but accepted it as NTH, as the install guide goes out in the install package set.
Comment 4 Jack Reed 2011-10-24 19:07:01 EDT
Thanks David and Adam.

I've added an Important admonition to the start of section 9.13.1 for the Fedora 16 version of the guide.

You can find the draft here - http://docs.fedoraproject.org/en-US/Fedora_Draft_Documentation/0.1/html-single/Installation_Guide/index.html


Comment 5 David Lehman 2011-10-26 13:33:21 EDT
It's a definite improvement just having the note, but the situation is of course fairly complex.

You only need a BIOS boot partition on the disk you plan to install the bootloader to. Furthermore, you only need the BIOS boot partition if any of the following is also true:

  1) you know that the disk contains a GPT partition table
  2) the installer has initialized the disk for you
  3) you selected "Use all space" on the partitioning options screen

Try to put that in an easily-readable blurb :-)
Comment 6 Karsten Wade 2011-12-13 22:49:22 EST
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!
Comment 7 Jack Reed 2012-03-06 02:09:54 EST
Thanks for the clarification, David. You're right, it's a little tricky to incorporate all of that, but I think I've managed to do so without the result being cumbersome.

Updated in commit b341868c2aaf03e2c71f88323f41a41925879ea1
Comment 8 Jack Reed 2012-03-07 00:18:48 EST
David, I neglected to mention some other changes in that commit.

I've decided to delete the admonition from the start of Create Storage (currently 9.13.1) and expand upon it in the Advice on Partitions section, incorporating the new points you've mentioned. It's now in-text rather than foregrounded as an admonition.

Placing it in Create Storage wasn't quite right, in hindsight. It fits better amidst the other partitioning advice and recommendations.

Note You need to log in before you can comment on or make changes to this bug.